Enrol referrer
curl --request POST \
--url https://mention-me.com/api/consumer/{version}/referrer/enrol \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": "",
"hasEngaged": false
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73",
"variation": ""
},
"address": {
"addressCountry": ""
}
}
'import requests
url = "https://mention-me.com/api/consumer/{version}/referrer/enrol"
payload = {
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": "",
"hasEngaged": False
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73",
"variation": ""
},
"address": { "addressCountry": "" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {
emailAddress: 'jane.doe@example.com',
firstname: '',
surname: '',
title: '',
uniqueIdentifier: '',
segment: '',
customField: '',
visitorId: '',
hasEngaged: false
},
request: {
partnerCode: '[YOUR-PARTNER-CODE]',
situation: 'mobile-app',
localeCode: 'en_GB',
segment: 'vip',
ipAddress: '127.0.0.1',
userDeviceIdentifier: '',
deviceType: '',
appName: '',
appVersion: 'e.g. MyApp/v1.73',
variation: ''
},
address: {addressCountry: ''}
})
};
fetch('https://mention-me.com/api/consumer/{version}/referrer/enrol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offer": {
"id": 123,
"localeCode": "<string>",
"headline": "<string>",
"description": "<string>",
"callToAction": "<string>",
"privacyNotice": "<string>",
"privacyLink": "<string>",
"referrerReward": {
"description": "<string>",
"summary": "<string>",
"amount": "<string>"
},
"refereeReward": {
"description": "<string>",
"summary": "<string>",
"amount": "<string>"
}
},
"nameShare": {
"name": "<string>",
"referralCode": "<string>"
},
"shareLinks": [
{
"type": "<string>",
"protocol": "<string>",
"url": "<string>",
"defaultShareMessage": "",
"exampleImplementation": ""
}
],
"termsLinks": {
"localeCode": "<string>",
"linkToTermsInLocale": "<string>"
}
}Enrol referrer
Enrol referrer
Tell us about a customer (and any related order and segmentation details) to enrol them as a referrer and receive an offer to share with them
POST
/
api
/
consumer
/
{version}
/
referrer
/
enrol
Enrol referrer
Path Parameters
Version
Available options:
v2, v1 Pattern:
v2|v1Body
application/json
Details of the customer to enrol
Information about the referrer to enrol
Show child attributes
Show child attributes
Information about the request
Show child attributes
Show child attributes
Information about the order (used for recording order events AND segmentation)
Show child attributes
Show child attributes
Information about the address of the customer, for segmentation
Show child attributes
Show child attributes
Response
Returned when successful
Show child attributes
Show child attributes
Details about NameShare, including the name someone can search for and their referral code if available.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I